
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>第 19 章 Cacti / iVAN</title>

    <meta name="description" content="第 19 章 Cacti 目录 19.1. Install Cacti for Ubuntu 19.2. Yum 安装 19.3. Source Install 19.4. Web 安装 19.5. Cacti plugins 19.5.1. Percona monitoring plugins 19.6. Template 19.6.1. Nginx 19.6.2. php-fpm 19.6.3. MySQL 19.6.4. Redis 19.6.5. Percona JMX Monitoring Template f">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">第 19 章 Cacti</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>目录</strong></p>
<dl>
<dt>19.1. Install Cacti for Ubuntu</dt>
<dt>19.2. Yum 安装</dt>
<dt>19.3. Source Install</dt>
<dt>19.4. Web 安装</dt>
<dt>19.5. Cacti plugins</dt>
<dd>
<dl>
<dt>19.5.1. Percona monitoring plugins</dt>
</dl>
</dd>
<dt>19.6. Template</dt>
<dd>
<dl>
<dt>19.6.1. Nginx</dt>
<dt>19.6.2. php-fpm</dt>
<dt>19.6.3. MySQL</dt>
<dt>19.6.4. Redis</dt>
<dt>19.6.5. Percona JMX Monitoring Template for Cacti</dt>
</dl>
</dd>
</dl>
<p>Cacti is a complete network graphing solution designed to harness the power of RRDTool's data storage and graphing functionality. Cacti provides a fast poller, advanced graph templating, multiple data acquisition methods, and user management features out of the box. All of this is wrapped in an intuitive, easy to use interface that makes sense for LAN-sized installations up to complex networks with hundreds of devices.</p>
<p>homepage: http://www.cacti.net/</p>
<h3>19.1. Install Cacti for Ubuntu</h3>
<p><strong>过程 19.1. Step by step Install Cacti</strong></p>
<ul>
<li>Install Cacti for</p>
<p>Ubuntu</p>
<pre>netkiller@shenzhen:~$ sudo apt-get install cacti
				</pre>
<pre>
   ┌────────────────┤ Configuring libphp-adodb ├────────────────────┐
   │                                                                                            │
   │ WARNING: include path for php has changed!                                                 │
   │                                                                                            │
   │ libphp-adodb is no longer installed in /usr/share/adodb. New installation path is now      │
   │ /usr/share/php/adodb.                                                                      │
   │                                                                                            │
   │ Please update your php.ini file. Maybe you must also change your web-server configuraton.  │
   │                                                                                            │
   │                                           &lt;Ok&gt;                                             │
   │                                                                                            │
   └─────────────────────────────────────────────────────┘
</pre>
<pre>
 ┌─────────────────────┤ Configuring cacti ├─────────────────────┐
 │                                                                                               │
 │ cacti must have a database installed and configured before it can be used.  If you like,      │
 │ this can be handled with dbconfig-common.                                                     │
 │                                                                                               │
 │ If you are an advanced database administrator and know that you want to perform this          │
 │ configuration manually, or if your database has already been installed and configured, you    │
 │ should refuse this option.  Details on what needs to be done should most likely be provided   │
 │ in /usr/share/doc/cacti.                                                                      │
 │                                                                                               │
 │ Otherwise, you should probably choose this option.                                            │
 │                                                                                               │
 │ Configure database for cacti with dbconfig-common?                                            │
 │                                                                                               │
 │                           &lt;Yes&gt;                              &lt;No&gt;                             │
 │                                                                                               │
 └───────────────────────────────────────────────────────┘
</pre>
<pre>
  ┌───────────────────┤ Configuring cacti ├──────────────────────┐
  │ What is the password for the administrative account with which this package should create   │
  │ its MySQL database and user?                                                                │
  │                                                                                             │
  │ Password of your database's administrative user:                                            │
  │                                                                                             │
  │ ___________________________________________________________________________________________ │
  │                                                                                             │
  │                          &lt;Ok&gt;                              &lt;Cancel&gt;                         │
  │                                                                                             │
  └──────────────────────────────────────────────────────┘
</pre>
</li>
</ul>
<p>reset password of admin</p>
<pre>
mysql&gt; use cacti;
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed

mysql&gt; select * from user_auth;
+----+----------+----------------------------------+-------+---------------+----------------------+-----------+-----------+--------------+----------------+------------+---------------+--------------+--------------+------------------------+---------+
| id | username | password                         | realm | full_name     | must_change_password | show_tree | show_list | show_preview | graph_settings | login_opts | policy_graphs | policy_trees | policy_hosts | policy_graph_templates | enabled |
+----+----------+----------------------------------+-------+---------------+----------------------+-----------+-----------+--------------+----------------+------------+---------------+--------------+--------------+------------------------+---------+
|  1 | admin    | 21232f297a57a5a743894a0e4a801fc3 |     0 | Administrator | on                   | on        | on        | on           | on             |          1 |             1 |            1 |            1 |                      1 | on      |
|  3 | guest    | 43e9a4ab75570f5b                 |     0 | Guest Account | on                   | on        | on        | on           | on             |          3 |             1 |            1 |            1 |                      1 |         |
+----+----------+----------------------------------+-------+---------------+----------------------+-----------+-----------+--------------+----------------+------------+---------------+--------------+--------------+------------------------+---------+
2 rows in set (0.00 sec)

mysql&gt; update user_auth set password=md5("chen") where id='1' and username='admin';
Query OK, 1 row affected (0.00 sec)
Rows matched: 1  Changed: 1  Warnings: 0
</pre>
<p>原文出处：Netkiller 系列 手札<br />
本文作者：陈景峯<br />
转载请与作者联系，同时请务必标明文章原始出处和作者信息及本声明。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-08 14:33:47</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/database/" title="database">database</a>, <a href="https://www.iamivan.net/tag/ubuntu/" title="ubuntu">ubuntu</a>, <a href="https://www.iamivan.net/tag/update/" title="update">update</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>第 19 章 Cacti的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0WKx6b.html" rel="bookmark">iOS编程Cookbook第19章最后一个例子不能正常工作的解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大熊猫猪·侯佩原创或翻译作品.欢迎转载,转载请注明出处. 如果觉得写的不好请多提意见,如果觉得不错请多多支持点赞.谢谢! hopy ;) 在Cookbook的第19章的11节中所要解决的是在App中显示iOS自带的日历编辑视图的问题. 例子代码是选择迄今为止1年前的第一个找到的日历事件,然后将其显示在日历编辑视图中. 日历编辑视图控制器是EKEventEditViewController的实例对象,按照书上的说明,其有一个event实例变量,如果在显示该控制器之前不对其赋值,即其值为nil则出现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVNNjVz.html" rel="bookmark">《Cacti实战》&mdash;&mdash;第3章 Cacti的基础流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第3章 Cacti的基础流程 第1章介绍了Cacti系统的数据流向,这里先简单回顾一下. Cacti在监控主机设备时,首先按照系统内设置好的数据检索方式(主要是数据输入方式和数据查询两种类型),查询与获取对设备主机进行监控的指标数据:其次,Cacti将数据按照要求分类,监控数据保存在rra文件中,元数据保存在数据库中:最后,Cacti系统按照预先设置的图形模板绘制图表,将数据以可视化的方式展现给用户.因此,数据的流向可以分为如图3-1所示的3个部分,即数据的检索流程.数据的存储流程和数据展现的可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeoDJjM.html" rel="bookmark">socket 第19章&num;include &amp;amp&semi;amp&semi;lt&semi;net&sol;pfkeyv2&period;h&amp;amp&semi;amp&semi;gt&semi;这个库函数为什么会出错</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 socket 第19章#include &lt;net/pfkeyv2.h&gt;这个库函数为什么会出错 g++ -g dump.c -o dump dump.c:2:25: fatal error: net/pfkeyv2.h: No such file or directory #include 这个头文件是c++标准库函数吧,为什么提示没有呢? 解决方案 你看看环境变量路径是否正确,应该是没有找到.可以在网上下载一个放到相应的路径里.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx0xwRM.html" rel="bookmark">第19章 解释器模式（Interpreter Pattern）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文 第19章 解释器模式(Interpreter Pattern) 解释器模式        导读:解释器模式,平常用的比较的少,所以在写这个模式之前在博客园搜索了一番,看完之后那叫一个头大.篇幅很长,我鼓足了劲看了半天的描述跟解释,可能是本人的水平有限,或者是耐心太差,看到一半就有点扛不住了.我感觉对于一个菜鸟或者是没接触过设计模式的人来说,在看设计模式的时候更希望作者能简短的用几行代码来描述设计模式,这样起码看完大体有个概念.           概述:          Interpre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mqgon2z.html" rel="bookmark">《HTML 5与CSS 3权威指南（第3版&CenterDot;下册）》&mdash;&mdash;第19章  选　择　器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第19章 选 择 器本章针对CSS 3中使用的各种选择器进行详细介绍,通过选择器的使用,你不再需要在编辑样式时使用多余的以及没有任何语义的class属性,而是直接将样式与元素绑定起来,从而节省大量在网站或Web应用程序已经完成之后修改样式时所需花费的时间.学习内容:掌握CSS 3中使用的选择器的基本概念.知道什么是选择器以及为什么需要使用选择器,使用选择器有什么好处.掌握CSS 3中的各种属性选择器的概念以及使用方法,其中包括:[att=val]选择器[att*=val]选择器[att^=val			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV9XPQp.html" rel="bookmark">《HTML 5与CSS 3权威指南 》 （第2版&CenterDot;下册）&mdash;&mdash;第19章 选择器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第19章选 择 器 19.1 选择器概述19.2 属性选择器 本章针对CSS 3中使用的各种选择器进行详细介绍,通过选择器的使用,你不再需要在编辑样式时使用多余的以及没有任何语义的class属性,而是直接将样式与元素绑定起来,从而节省大量在网站或Web应用程序已经完成之后修改样式时所需花费的时间.学习内容: 19.1 选择器概述 选择器是CSS 3中一个重要的内容.使用它可以大幅度提高开发人员书写或修改样式表时的工作效率. 在样式表中,一般会书写大量的代码,在大型网站中,样式表中的代码可能会达到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQLE4rz.html" rel="bookmark">19&period;5&period; Cacti plugins</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://docs.cacti.net/plugins 下载插件解压到下面目录 cd /usr/share/cacti/plugins 进入Console -&gt; Plugin Management配置插件 19.5.1. Percona monitoring plugins http://www.percona.com/software/percona-monitoring-plugins yum localinstall http://www.percona.com/downloads/p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmB87lz.html" rel="bookmark">《HTML 5与CSS 3权威指南 》 （第2版&CenterDot;下册）&mdash;&mdash;第19章 19&period;3&period;4</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				19.3.4 选择器:nth-of-type和nth-last-of-type 1.使用选择器nth-child和nth-last-child时会产生的问题 之前,我们介绍过将nth-child选择器与nth-last-child选择器用于某些元素时,会产生一些问题,这里我们首先来看一下究竟会产生什么问题. 在代码清单19-15中,我们给出一个HTML页面代码,在该页面中,存在一个div元素,在该div元素中,又给出几篇文章的标题与每篇文章的正文. 为了让第奇数篇文章的标题与第偶数篇文章的标题的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEK3lnp.html" rel="bookmark">《HTML 5与CSS 3权威指南 》 （第2版&CenterDot;下册）&mdash;&mdash;第19章 19&period;3&period;5</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				19.3.5 循环使用样式 通过前几节的介绍,我们已经知道,使用nth-child选择器.nth-last-child选择器.nth-of-type选择器与nth-last-of-type选择器,我们可以对父元素中指定序号的子元素.第奇数个子元素.第偶数个子元素来单独进行样式的指定,这里我们再通过代码清单19-16所示示例,复习一下nth-child选择器的用法.在该示例中,有一个ul列表,通过nth-child选择器来指定该列表中第一个列表项目.第二个列表项目.第三个列表项目及第四个列表项目的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ7aJb.html" rel="bookmark" class="title">iOS8中的定位服务</a>
					<div>
						iOS8中的定位服务 My app that worked fine in iOS 7 doesn't work with the iOS 8 SDK. CLLocationManager doesn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8AV3z.html" rel="bookmark" class="title">Photoshop设计阿凡达电影海报教程</a>
					<div>
						  詹姆斯卡梅隆的电影头像无须多介绍. 这部影片的重点是净资产,这是一个土著人型机器人比赛名为潘多拉的星球谁留. 虽然电视频道和新闻门户网站都在这部影片和它的优点生产中使用的技术充满赞许,许多设计者发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b28kVp.html" rel="bookmark" class="title">使用JSTL标签来访问list并判断list中的选中项</a>
					<div>
						js|访问|来访|选中 本文将向大家讲述如何通过sun公司的jstl标签来访问list对象,并在jsp页面进行显示 一般而言,list对象会存储在request对象,session对象中,一般采用框架 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVrmlz.html" rel="bookmark" class="title">HttpServletRequest&comma; ServletRequest&comma; request</a>
					<div>
						request|servlet HttpServletRequest接口是继承自ServletRequest接口的.增加了和HTTP相关的一些方法.而所谓的request(在JSP中使用的)其实只是规 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjXDVp.html" rel="bookmark" class="title">《&period;net编程先锋C&num;》第三章 第一个C&num;应用程序（转）</a>
					<div>
						编程|程序 第三章 第一个C#应用程序 3.0 选择一个编辑器尽管我是一个顽固的Notepad狂,但这次我不建议用它编辑源码.原因是你正在与真正的编程语言打交道,使用Notepad编辑源码编译时可能产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmWGab.html" rel="bookmark" class="title">什么是Unicode？什么是UTF-8？</a>
					<div>
						一直在编码方面要求不是很高,所以对Unicode和UTF-8也不甚了解. 最近偶然翻到一篇UTF-8的文章,感觉解释的非常繁杂,因此才想到重新写一篇简单易懂一点的. 首先说明一下现在常用的一些编码方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElNjZz.html" rel="bookmark" class="title">Excel工作表选择单元格相关操作技巧</a>
					<div>
						  1.启动Excel 2013并打开文档,在数据表中的任意一个单元格中单击选择该单元格后按&quot;Ctrl+*&quot;键,将能够选择当前所有的数据区域,如图1所示. 图1 选择当前数据区域  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKYZ3M.html" rel="bookmark" class="title">js 实现鼠标移动div</a>
					<div>
						 js: var posX; var posY; fdiv = document.getElementById(&quot;divBody&quot;); document.getElementByI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd66A6b.html" rel="bookmark" class="title">网站网页设计的黄金布局比例</a>
					<div>
						作为一个网页设计师开始一个项目时经常会考虑到网页的布局,虽然现在很多人倾向使用Grid css框架(如960,blueprint),但有时也需要设计一些独特的布局本文我们要探讨如何将黄金分割理论运用到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oYPWb.html" rel="bookmark" class="title">够快网盘如何选择部分文件同步？</a>
					<div>
						通过选择性同步功能,您可以只同步想要同步的文件/文件夹. 点击电脑右下角的够快图标,在&quot;设置&quot;中选择&quot;软件设置&quot;-&quot;高级&quot;-&quot;选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6evyJb.html" rel="bookmark" class="title">在win7系统中运行程序提示应用程序或dll为无效的windows</a>
					<div>
						  咱们日常在操作Windows系统的时候,总是离不开要运行程序.例如咱们经常需要使用到的一些工具,什么杀毒软件,什么QQ聊天软件,什么IE浏览器,什么360软件等等,这些其实都是咱们Windows系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3olqAb.html" rel="bookmark" class="title">显卡中显存带宽如何定义</a>
					<div>
						  在每一个子系统中,除了子系统与处理器之间的速度交换外,子系统内部也有不同的数据交换, 对于图形子系统而言, 除了显示芯片与核处理器之间的数据交换外, 还有显示芯片与显存之间的数据交换.图型处理芯片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNEBKM.html" rel="bookmark" class="title">命令模式--撤销恢复</a>
					<div>
						原文:http://abstractforever.iteye.com/blog/962219 该例子来自阎宏提供的例子程序,以画线为例:   命令接口Command: package com.jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZaVqz.html" rel="bookmark" class="title">实例讲解PHP设计模式编程中的简单工厂模式&lowbar;php实例</a>
					<div>
						简单工厂模式是类的创建模式,又叫做静态工厂方法(Static Factory Method)模式.简单工厂模式是由一个工厂对象决定创建出那一种产品类的实例. 1.工厂模式的几种形态工厂模式专门负责将大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kBjPM.html" rel="bookmark" class="title">IOS 把格式化的JSON字符串转换成字典</a>
					<div>
						/*! * @brief 把格式化的JSON格式的字符串转换成字典 * @param jsonString JSON格式的字符串 * @return 返回字典 */ + (NSDictionary * ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRxeEz.html" rel="bookmark" class="title">如何实现问问置顶</a>
					<div>
						问题描述 现在做了个像百度知道的一个东西用户提出问题 有多个人来回答此问题 用户可以选择最佳答案 当用户点击选择最佳答案按钮时 如何将此回答 放到所以用户回答的最顶端(放置到问题下面 紧跟着此最佳答案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAXJRM.html" rel="bookmark" class="title">设计模式-限制性多例模式</a>
					<div>
						import java.util.Random;import java.util.Vector;/*luozhonghua 2014-9-20*/public class moreOfSingleto ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mydvwlb.html" rel="bookmark" class="title">《淘宝店铺营销推广一册通》一2&period;3　热门赚钱行业网店成功秘诀</a>
					<div>
						2.3 热门赚钱行业网店成功秘诀 淘宝店铺营销推广一册通 现在每天通过淘宝一夜致富的例子数不胜数.为什么在同样的环境下,有的人能够成功,而有的人只能是苦苦支撑最后还是以失败告终呢?下面介绍一些成功的网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX7Yvz.html" rel="bookmark" class="title">&lbrack;译&rsqb;Swift 结构体指针</a>
					<div>
						本文讲的是[译]Swift 结构体指针, 原文地址:Struct References 原文作者:Chris Eidhof 译文出自:掘金翻译计划 本文永久链接:github.com/xitu/gol ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRAvmb.html" rel="bookmark" class="title">双数据中心容灾模式的构建</a>
					<div>
						内容提要:数据容灾问题是政府.企业等部门信息化建设过程中面临的一个具有重要理论和现实意义的研究课题.为实现容灾的建设需要在容灾相关技术.业务系统需求分析.容灾的总体方案设计及系统实现等进行设计与研究. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAADavM.html" rel="bookmark" class="title">财商决定创业命运</a>
					<div>
						在人们流行谈论IQ.EQ--的时代,提出MQ(Money Quotient)财商,听起来有点追潮流的意思,但对于创业者来说,财商的高低却可能直接关系企业的生死存亡. 在企业初创的时候,从哪里赢得第一笔 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRKkRp.html" rel="bookmark" class="title">从370行目录看网络服务</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 随着时代的变迁,各行各业异军突起. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12rBrp.html" rel="bookmark" class="title">spark</a>
					<div>
						spark基本概念 http://www.cnblogs.com/shexinwei/p/4823051.html Spark异步job http://www.cnblogs.com/shexinwe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXwPVb.html" rel="bookmark" class="title">编程思想-谁能来打消我的忧虑？？</a>
					<div>
						问题描述 谁能来打消我的忧虑?? 谁能告诉我普通电脑的计算能力怎么样?每写一点关于界面的代码就担心效率低,诶.还有,3D游戏界面都那么流畅,为什么编个界面还有效率问题??请大神指教 解决方案 界面就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN3GKM.html" rel="bookmark" class="title">吉安电信为高考学子加油</a>
					<div>
						李家辉 本报讯 为做好一年一度的高考服务工作,中国电信江西吉安分公司从&quot;考前.考中.考后&quot;三个环节及早部署高考直通车各项服务工作,为实现考生的升学梦想助上一臂之力. 高考前夕,针对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX08kvp.html" rel="bookmark" class="title">c&plus;&plus;-关于C8051F340 USB 通讯上位机的问题？</a>
					<div>
						问题描述 关于C8051F340 USB 通讯上位机的问题? 大家好, 我在学习使用上位机通过USB 传输12个十六进制的数字到C8051F340,然后我发现http://blog.csdn.net/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAENG2M.html" rel="bookmark" class="title">当当网被指跌出电商第一阵营？2014年前或难以实现盈利</a>
					<div>
						当当网营收构成(图片来自天下网商) [硅谷网7月17日讯] 当当网CEO李国庆最近有点烦,不仅再度陷入信息泄密泥沼,还遭央视曝光出售假贝佳斯产品,连国外分析机构也赶来凑热闹,大幅下调当当股票目标价,并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYL45b.html" rel="bookmark" class="title">Linux cd命令详解  Linux cd命令怎么用</a>
					<div>
						其中 dirName 表示法可为绝对路径或相对路径.若目录名称省略,则变换至使用者的 home 目录 (也就是刚 login 时所在的目录). 另外,&quot;~&quot; 也表示为 home 目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qqonp.html" rel="bookmark" class="title">天上掉红包 2015年新春支付宝6亿红包领取方法</a>
					<div>
						2月11日-19日,支付宝钱包APP首页狂甩6亿人民币红包(含现金.快的和购物红包).下面是简单到没朋友的红包领取领取指南,红包到手四步走: 第一步:抢红包时间.打开支付宝钱包,就能抢新春红包!(需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR16Ndb.html" rel="bookmark" class="title">副总裁泄玄机：Google搜索技术揭秘</a>
					<div>
						  Google将其成功部分地归功于公司所发明的独有运算机制,令其搜索引擎可以在极短时间内对数以百万计的网络用户的搜索请求提供答案. 上周三,Google副总裁Urs Hoelzle在Eclipse会 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
